This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Readiness Probe

Indicates the service is initialized and ready to serve requests.

    Method

    GET

    URL

    http://{Host Address}/ready

    This is used by Kubernetes as a readiness probe.

    Query Parameters

    None

    Sample Request

    curl -X GET "http://<Host_address>/ready"
         
    import requests
        
        url = "http://<Host_address>/ready"
        response = requests.get(url, verify=False)
        
        print("Status code:", response.status_code)
        
    URL: GET `http: //<Host_address>/ready`

    Response Codes

    CodeDescription
    204Service is fully initialized and can handle requests.
    503Service is not yet ready to serve requests.